Bug 813768 - (CVE-2012-2101) CVE-2012-2101 openstack-nova: No quota enforced on security group rules
CVE-2012-2101 openstack-nova: No quota enforced on security group rules
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120419,reported=2...
: Reopened, Security
Depends On: 814275 814361 814362
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 07:49 EDT by Pádraig Brady
Modified: 2016-01-04 09:41 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-28 03:05:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed fix (27.49 KB, patch)
2012-04-18 07:49 EDT, Pádraig Brady
no flags Details | Diff

  None (edit)
Description Pádraig Brady 2012-04-18 07:49:53 EDT
Created attachment 578328 [details]
proposed fix

This is an advance warning of a vulnerability discovered in OpenStack,
to give you, as downstream stakeholders, a chance to coordinate the
release of fixes and reduce the vulnerability window. Please treat the
following information as confidential until the proposed public
disclosure date.

Title: No quota enforced on security group rules
Impact: High
Reporter: Dan Prince <dprince@redhat.com>
Products: Nova
Affects: All versions

Description:
Dan Prince reported a vulnerability in Nova. He discovered that there
was no limit on the number of security group rules a user can create.
By creating a very large set of rules, an unreasonable number of
iptables rules will be created on compute nodes, resulting in a denial
of service.

Proposed patch:
See attached diff. This proposed patch will be merged to the Nova
master, stable/essex, and stable/diablo branches on public disclosure
date.

Proposed public disclosure date/time:
Thursday, April 19th, 1500UTC
Please do not make the issue public (or release public patches) before
this coordinated embargo date.
Comment 2 Jan Lieskovsky 2012-04-19 12:52:54 EDT
This issue affects the version of the openstack-nova package, as shipped with Fedora release of 16. Please schedule an update.

--

This issue affects the version of the openstack-nova package, as shipped with Fedora EPEL 6. Please schedule an update.
Comment 3 Jan Lieskovsky 2012-04-19 12:56:18 EDT
Created openstack-nova tracking bugs for this issue

Affects: fedora-16 [bug 814361]
Affects: epel-6 [bug 814362]

Note You need to log in before you can comment on or make changes to this bug.